package com.sifang.modules.sunshine.partnerManagement.form;

import org.hibernate.validator.constraints.NotBlank;

public class AddPartnerReq {

    private String id;

    @NotBlank(message = "合作商名称不能为空")
    private String name;

    @NotBlank(message = "授权项目不能为空")
    private String authorizedId;

    @NotBlank(message = "登录账号不能为空")
    private String loginName;

    @NotBlank(message = "登录密码不能为空")
    private String password;

    private String personInCharge;

    private String mobile;

    private String province;

    private String city;

    private String area;

    private String address;

    @NotBlank(message = "合作商logo不能为空")
    private String logo;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAuthorizedId() {
        return authorizedId;
    }

    public void setAuthorizedId(String authorizedId) {
        this.authorizedId = authorizedId;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPersonInCharge() {
        return personInCharge;
    }

    public void setPersonInCharge(String personInCharge) {
        this.personInCharge = personInCharge;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    @Override
    public String toString() {
        return "AddPartnerReq{" +
                "name='" + name + '\'' +
                ", authorizedId='" + authorizedId + '\'' +
                ", loginName='" + loginName + '\'' +
                ", password='" + password + '\'' +
                ", personInCharge='" + personInCharge + '\'' +
                ", mobile='" + mobile + '\'' +
                ", province='" + province + '\'' +
                ", city='" + city + '\'' +
                ", area='" + area + '\'' +
                ", address='" + address + '\'' +
                ", logo='" + logo + '\'' +
                '}';
    }
}
